diff -Nur runtime.patched/spell/fixdup.vim runtime/spell/fixdup.vim
--- runtime.patched/spell/fixdup.vim	1969-12-31 16:00:00.000000000 -0800
+++ runtime/spell/fixdup.vim	2008-12-01 12:32:34.000000000 -0800
@@ -0,0 +1,27 @@
+" Vim script to fix duplicate words in a .dic file  vim: set ft=vim:
+"
+" Usage: Edit the .dic file and source this script.
+
+let deleted = 0
+
+" Start below the word count.
+let lnum = 2
+while lnum <= line('$')
+  let word = getline(lnum)
+  if word !~ '/'
+    if search('^' . word . '/', 'w') != 0
+      let deleted += 1
+      exe lnum . "d"
+      continue		" don't increment lnum, it's already at the next word
+    endif
+  endif
+  let lnum += 1
+endwhile
+
+if deleted == 0
+  echomsg "No duplicate words found"
+elseif deleted == 1
+  echomsg "Deleted 1 duplicate word"
+else
+  echomsg printf("Deleted %d duplicate words", deleted)
+endif
Files runtime.patched/spell/fo.latin1.spl and runtime/spell/fo.latin1.spl differ
Files runtime.patched/spell/fo.latin1.sug and runtime/spell/fo.latin1.sug differ
Files runtime.patched/spell/fo.utf-8.spl and runtime/spell/fo.utf-8.spl differ
Files runtime.patched/spell/fo.utf-8.sug and runtime/spell/fo.utf-8.sug differ
Files runtime.patched/spell/fr.latin1.spl and runtime/spell/fr.latin1.spl differ
Files runtime.patched/spell/fr.latin1.sug and runtime/spell/fr.latin1.sug differ
Files runtime.patched/spell/fr.utf-8.spl and runtime/spell/fr.utf-8.spl differ
Files runtime.patched/spell/fr.utf-8.sug and runtime/spell/fr.utf-8.sug differ
Files runtime.patched/spell/ga.latin1.spl and runtime/spell/ga.latin1.spl differ
Files runtime.patched/spell/ga.latin1.sug and runtime/spell/ga.latin1.sug differ
Files runtime.patched/spell/ga.utf-8.spl and runtime/spell/ga.utf-8.spl differ
Files runtime.patched/spell/ga.utf-8.sug and runtime/spell/ga.utf-8.sug differ
Files runtime.patched/spell/gd.latin1.spl and runtime/spell/gd.latin1.spl differ
Files runtime.patched/spell/gd.latin1.sug and runtime/spell/gd.latin1.sug differ
Files runtime.patched/spell/gd.utf-8.spl and runtime/spell/gd.utf-8.spl differ
Files runtime.patched/spell/gd.utf-8.sug and runtime/spell/gd.utf-8.sug differ
Files runtime.patched/spell/gl.latin1.spl and runtime/spell/gl.latin1.spl differ
Files runtime.patched/spell/gl.latin1.sug and runtime/spell/gl.latin1.sug differ
Files runtime.patched/spell/gl.utf-8.spl and runtime/spell/gl.utf-8.spl differ
Files runtime.patched/spell/gl.utf-8.sug and runtime/spell/gl.utf-8.sug differ
Files runtime.patched/spell/he.iso-8859-8.spl and runtime/spell/he.iso-8859-8.spl differ
Files runtime.patched/spell/he.utf-8.spl and runtime/spell/he.utf-8.spl differ
Files runtime.patched/spell/hr.cp1250.spl and runtime/spell/hr.cp1250.spl differ
Files runtime.patched/spell/hr.iso-8859-2.spl and runtime/spell/hr.iso-8859-2.spl differ
Files runtime.patched/spell/hr.utf-8.spl and runtime/spell/hr.utf-8.spl differ
Files runtime.patched/spell/hu.cp1250.spl and runtime/spell/hu.cp1250.spl differ
Files runtime.patched/spell/hu.iso-8859-2.spl and runtime/spell/hu.iso-8859-2.spl differ
Files runtime.patched/spell/hu.utf-8.spl and runtime/spell/hu.utf-8.spl differ
Files runtime.patched/spell/id.latin1.spl and runtime/spell/id.latin1.spl differ
Files runtime.patched/spell/id.latin1.sug and runtime/spell/id.latin1.sug differ
Files runtime.patched/spell/id.utf-8.spl and runtime/spell/id.utf-8.spl differ
Files runtime.patched/spell/id.utf-8.sug and runtime/spell/id.utf-8.sug differ
Files runtime.patched/spell/it.latin1.spl and runtime/spell/it.latin1.spl differ
Files runtime.patched/spell/it.utf-8.spl and runtime/spell/it.utf-8.spl differ
Files runtime.patched/spell/ku.iso-8859-9.spl and runtime/spell/ku.iso-8859-9.spl differ
Files runtime.patched/spell/ku.utf-8.spl and runtime/spell/ku.utf-8.spl differ
Files runtime.patched/spell/la.latin1.spl and runtime/spell/la.latin1.spl differ
Files runtime.patched/spell/la.utf-8.spl and runtime/spell/la.utf-8.spl differ
Files runtime.patched/spell/lt.iso-8859-13.spl and runtime/spell/lt.iso-8859-13.spl differ
Files runtime.patched/spell/lt.utf-8.spl and runtime/spell/lt.utf-8.spl differ
Files runtime.patched/spell/lv.iso-8859-13.spl and runtime/spell/lv.iso-8859-13.spl differ
Files runtime.patched/spell/lv.utf-8.spl and runtime/spell/lv.utf-8.spl differ
Files runtime.patched/spell/mg.latin1.spl and runtime/spell/mg.latin1.spl differ
Files runtime.patched/spell/mg.latin1.sug and runtime/spell/mg.latin1.sug differ
Files runtime.patched/spell/mg.utf-8.spl and runtime/spell/mg.utf-8.spl differ
Files runtime.patched/spell/mg.utf-8.sug and runtime/spell/mg.utf-8.sug differ
Files runtime.patched/spell/mi.iso-8859-4.spl and runtime/spell/mi.iso-8859-4.spl differ
Files runtime.patched/spell/mi.utf-8.spl and runtime/spell/mi.utf-8.spl differ
Files runtime.patched/spell/ms.latin1.spl and runtime/spell/ms.latin1.spl differ
Files runtime.patched/spell/ms.latin1.sug and runtime/spell/ms.latin1.sug differ
Files runtime.patched/spell/ms.utf-8.spl and runtime/spell/ms.utf-8.spl differ
Files runtime.patched/spell/ms.utf-8.sug and runtime/spell/ms.utf-8.sug differ
Files runtime.patched/spell/nb.latin1.spl and runtime/spell/nb.latin1.spl differ
Files runtime.patched/spell/nb.latin1.sug and runtime/spell/nb.latin1.sug differ
Files runtime.patched/spell/nb.utf-8.spl and runtime/spell/nb.utf-8.spl differ
Files runtime.patched/spell/nb.utf-8.sug and runtime/spell/nb.utf-8.sug differ
Files runtime.patched/spell/nl.latin1.spl and runtime/spell/nl.latin1.spl differ
Files runtime.patched/spell/nl.latin1.sug and runtime/spell/nl.latin1.sug differ
Files runtime.patched/spell/nl.utf-8.spl and runtime/spell/nl.utf-8.spl differ
Files runtime.patched/spell/nl.utf-8.sug and runtime/spell/nl.utf-8.sug differ
Files runtime.patched/spell/nn.latin1.spl and runtime/spell/nn.latin1.spl differ
Files runtime.patched/spell/nn.latin1.sug and runtime/spell/nn.latin1.sug differ
Files runtime.patched/spell/nn.utf-8.spl and runtime/spell/nn.utf-8.spl differ
Files runtime.patched/spell/nn.utf-8.sug and runtime/spell/nn.utf-8.sug differ
Files runtime.patched/spell/ny.ascii.spl and runtime/spell/ny.ascii.spl differ
Files runtime.patched/spell/ny.iso-8859-14.spl and runtime/spell/ny.iso-8859-14.spl differ
Files runtime.patched/spell/ny.utf-8.spl and runtime/spell/ny.utf-8.spl differ
Files runtime.patched/spell/pl.cp1250.spl and runtime/spell/pl.cp1250.spl differ
Files runtime.patched/spell/pl.iso-8859-2.spl and runtime/spell/pl.iso-8859-2.spl differ
Files runtime.patched/spell/pl.utf-8.spl and runtime/spell/pl.utf-8.spl differ
Files runtime.patched/spell/pt.latin1.spl and runtime/spell/pt.latin1.spl differ
Files runtime.patched/spell/pt.utf-8.spl and runtime/spell/pt.utf-8.spl differ
Files runtime.patched/spell/ro.cp1250.spl and runtime/spell/ro.cp1250.spl differ
Files runtime.patched/spell/ro.iso-8859-2.spl and runtime/spell/ro.iso-8859-2.spl differ
Files runtime.patched/spell/ro.utf-8.spl and runtime/spell/ro.utf-8.spl differ
Files runtime.patched/spell/ru.cp1251.spl and runtime/spell/ru.cp1251.spl differ
Files runtime.patched/spell/ru.cp1251.sug and runtime/spell/ru.cp1251.sug differ
Files runtime.patched/spell/ru.koi8-r.spl and runtime/spell/ru.koi8-r.spl differ
Files runtime.patched/spell/ru.koi8-r.sug and runtime/spell/ru.koi8-r.sug differ
Files runtime.patched/spell/ru.utf-8.spl and runtime/spell/ru.utf-8.spl differ
Files runtime.patched/spell/ru.utf-8.sug and runtime/spell/ru.utf-8.sug differ
Files runtime.patched/spell/rw.latin1.spl and runtime/spell/rw.latin1.spl differ
Files runtime.patched/spell/rw.latin1.sug and runtime/spell/rw.latin1.sug differ
Files runtime.patched/spell/rw.utf-8.spl and runtime/spell/rw.utf-8.spl differ
Files runtime.patched/spell/rw.utf-8.sug and runtime/spell/rw.utf-8.sug differ
Files runtime.patched/spell/sk.cp1250.spl and runtime/spell/sk.cp1250.spl differ
Files runtime.patched/spell/sk.iso-8859-2.spl and runtime/spell/sk.iso-8859-2.spl differ
Files runtime.patched/spell/sk.utf-8.spl and runtime/spell/sk.utf-8.spl differ
Files runtime.patched/spell/sl.cp1250.spl and runtime/spell/sl.cp1250.spl differ
Files runtime.patched/spell/sl.iso-8859-2.spl and runtime/spell/sl.iso-8859-2.spl differ
Files runtime.patched/spell/sl.utf-8.spl and runtime/spell/sl.utf-8.spl differ
Files runtime.patched/spell/sv.latin1.spl and runtime/spell/sv.latin1.spl differ
Files runtime.patched/spell/sv.latin1.sug and runtime/spell/sv.latin1.sug differ
Files runtime.patched/spell/sv.utf-8.spl and runtime/spell/sv.utf-8.spl differ
Files runtime.patched/spell/sv.utf-8.sug and runtime/spell/sv.utf-8.sug differ
Files runtime.patched/spell/sw.latin1.spl and runtime/spell/sw.latin1.spl differ
Files runtime.patched/spell/sw.latin1.sug and runtime/spell/sw.latin1.sug differ
Files runtime.patched/spell/sw.utf-8.spl and runtime/spell/sw.utf-8.spl differ
Files runtime.patched/spell/sw.utf-8.sug and runtime/spell/sw.utf-8.sug differ
diff -Nur runtime.patched/spell/tet/main.aap runtime/spell/tet/main.aap
--- runtime.patched/spell/tet/main.aap	1969-12-31 16:00:00.000000000 -0800
+++ runtime/spell/tet/main.aap	2008-02-13 06:13:42.000000000 -0800
@@ -0,0 +1,79 @@
+# Aap recipe for Tetum Vim spell files.
+
+# Use a freshly compiled Vim if it exists.
+@if os.path.exists('../../../src/vim'):
+    VIM = ../../../src/vim
+@else:
+    :progsearch VIM vim
+
+SPELLDIR = ..
+FILES    = tet_ID.aff tet_ID.dic
+
+# I don't hava a Tetum locale, use the Dutch one instead.
+all: $SPELLDIR/tet.latin1.spl $SPELLDIR/tet.utf-8.spl ../README_tet.txt
+
+$SPELLDIR/tet.latin1.spl : $FILES
+        :sys env LANG=nl_NL.ISO8859-1
+		$VIM -u NONE -e -c "mkspell! $SPELLDIR/tet tet_ID" -c q
+
+$SPELLDIR/tet.utf-8.spl : $FILES
+        :sys env LANG=nl_NL.UTF-8
+		$VIM -u NONE -e -c "mkspell! $SPELLDIR/tet tet_ID" -c q
+
+../README_tet.txt : README_tet_ID.txt
+        :copy $source $target
+
+#
+# Fetching the files from OpenOffice.org.
+#
+OODIR = http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries
+:attr {fetch = $OODIR/%file%} tet_ID.zip
+
+# The files don't depend on the .zip file so that we can delete it.
+# Only download the zip file if the targets don't exist.
+tet_ID.aff tet_ID.dic: {buildcheck=}
+        :assertpkg unzip patch
+        :fetch tet_ID.zip
+        :sys $UNZIP tet_ID.zip
+        :delete tet_ID.zip
+        @if not os.path.exists('tet_ID.orig.aff'):
+            :copy tet_ID.aff tet_ID.orig.aff
+        @if not os.path.exists('tet_ID.orig.dic'):
+            :copy tet_ID.dic tet_ID.orig.dic
+        @if os.path.exists('tet_ID.diff'):
+            :sys patch <tet_ID.diff
+
+
+# Generate diff files, so that others can get the OpenOffice files and apply
+# the diffs to get the Vim versions.
+
+diff:
+        :assertpkg diff
+        :sys {force} diff -a -C 1 tet_ID.orig.aff tet_ID.aff >tet_ID.diff
+        :sys {force} diff -a -C 1 tet_ID.orig.dic tet_ID.dic >>tet_ID.diff
+
+
+# Check for updated OpenOffice spell files.  When there are changes the
+# ".new.aff" and ".new.dic" files are left behind for manual inspection.
+
+check:
+        :assertpkg unzip diff
+        :fetch tet_ID.zip
+        :mkdir tmp
+        :cd tmp
+        @try:
+            @import stat
+            :sys $UNZIP ../tet_ID.zip
+            :sys {force} diff ../tet_ID.orig.aff tet_ID.aff >d
+            @if os.stat('d')[stat.ST_SIZE] > 0:
+                :copy tet_ID.aff ../tet_ID.new.aff
+            :sys {force} diff ../tet_ID.orig.dic tet_ID.dic >d
+            @if os.stat('d')[stat.ST_SIZE] > 0:
+                :copy tet_ID.dic ../tet_ID.new.dic
+        @finally:
+            :cd ..
+            :delete {r}{f}{q} tmp
+            :delete tet_ID.zip
+
+
+# vim: set sts=4 sw=4 :
